Bug 68846 - FILESAVE: Images distorted, double the height. FILE CORRUPTION?
Summary: FILESAVE: Images distorted, double the height. FILE CORRUPTION?
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-02 13:50 UTC by Jonas Müller
Modified: 2016-05-09 20:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the distorted images after editing the file in Libre 4.1.X. Seems like the have double the height. (192.26 KB, image/png)
2013-09-02 13:50 UTC, Jonas Müller
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonas Müller 2013-09-02 13:50:11 UTC
Created attachment 85061 [details]
the distorted images after editing the file in Libre 4.1.X. Seems like the have double the height.

Problem description: 

I'm currently working on a large price list. So far this has worked great with LibreOffice 3.X till 4.0.4. 

Starting with 4.1.X after opening the file after it has been edited with 4.1.X the images are sometimes distorted. It seems like they have double the height.

This isn't just a graphical error. The image proportions stay the same even after opening the .ods file with LibreOffice 4.0.5 and OpenOffice.

ADDITIONAL ERROR:

When saving the spreadsheet with the distorted images in LibreOffice 4.1.X, LibreOffice 4.1 and 4.1.1 ARE THEN UNABLE TO OPEN THE NEWLY SAVED FILE. The LibreOffice splash screen stays there for a few minutes until I close LibreOffice with the Task-manager.

However I can still open the file with LibreOffice 4.0.5 and OpenOffice.

Unfortunately this error has only occurred in the large price list which I can't share with you as it has some important data from our company.
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 Jean-Baptiste Faure 2013-11-16 10:31:53 UTC
Please could you attach an anonymized document? You can remove all images but one with the problem and replace all text by xxx and all numbers by 0.

Before to do that, please don't forget to upgrade your LibreOffice installation to the current stable release (ATM: 4.1.3) and try again.

Without a file to test it impossible to go forward.

Best regards. JBF
Comment 2 QA Administrators 2014-06-01 21:30:21 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 3 QA Administrators 2014-07-08 17:18:08 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Comment 4 Jonas Müller 2014-10-08 11:35:55 UTC
Hello sorry for the late delay.

The bug only happens when working on our large price list and we don't update it that often.

However it just happend to me again and I can now provide an mostly anonymized document.

Download example document: http://www.file-upload.net/download-9643203/Temp-Bug.zip.html

Password is LibOBug

To answer your questions:

a. Windows 7 x64 SP1 with latest updates + LibreOffice 4.3.2

b. I don't know how to reproduce the problem, however in the document provided the bug has already happened. It seems like when opening a file images where the position is NOT fixed sometimes get stretched.

You can find two stretched images in line 135 and 141 in the document. They are stretched vertically and are now the size of two cells.

Also on another note: The "bounding box" which you see when dragging an image is completely off. The file looks correct but if you preview it, print it etc. you will see that the image positions are completely off. Basically the document is ruined.

I'm sorry if I can't give a way to reproduce this bug, it happens just too random. Maybe you can "work" on the document a bit, resize images, remove some lines etc and then save and reopen the document. Sometimes other images will be stretched.
Comment 5 tommy27 2014-12-13 08:08:54 UTC
(In reply to Jonas Müller from comment #4)
> ...
> 
> Download example document:
> http://www.file-upload.net/download-9643203/Temp-Bug.zip.html
> 
> ...

tried to download that bug I stopped when I saw it was an .exe file so I don't trust that site,...  could you uplaod it to a differente storage? 

anyway, is this bug still happening using LibO 4.3.4.1?
Comment 6 Jonas Müller 2014-12-15 15:58:16 UTC
I just finished up another price list and can confirm that the bug is still happening with LibreOffice 4.3.4 and 4.3.5

I started with the document I have also uploaded and saved it in ods format and as soon as I opened the resulting file, some images were stretched again. This happened twice before I switched to the xlsx and xls file formats and the bug hasn't happened yet despite closing and reopening the file about 50 times each.

So it seems like this bug only affects the ods file format.

I have reuploaded the file here: https://office.mailbox.org/publications/documents/2570616/3337fd95a02c27775d27f6e5140db94f

Password is still LibOBug

When saving in xlsx he images seem to move around a bit when reopening the saved file. Xls file format is flawless.
Comment 7 Buovjaga 2014-12-16 12:36:55 UTC
I tried to reproduce from scratch, but failed. I opened the .odt as an archive and found the pictures from line 135 and 141:
100000000000009A000000F50055A63F.png
100000000000057C0000052C9934FEAA.png

Created a new file and set row height to 2,28 cm. Inserted the pics, anchored them to cell and resized them to fit the cell dimensions. Saving & reopening doesn't cause them to stretch.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 170616e9f2d30c1302bbb5a7a4b588bc05cd5cc9
TinderBox: Win-x86@39, Branch:master, Time: 2014-12-12_01:58:46
Comment 8 Jonas Müller 2014-12-16 17:11:32 UTC
Okay, I was just able to make this bug consistently happen here on a different pc. Here is every minute step I took just to play around:

1. Open Temp Bug.ods on LibreOffice 4.3.4.1
2. Highlight lines 138 and 139 and insert two new lines over them.
3. Now write 'This is a test' in K138, write 'Test2' in B139 and count up from 1 to 7 in C139 to I139.
4. Insert this formula in B138: =HYPERLINK("http://www.google.de/search?hl=de&source=hp&q="&K138;"Click!")
5. Click in A138 and click on Insert - Image - From File and enter this address: http://www.netzstrategen.com/media/youtube-logo.jpg
5. Resize this image to Width: 2.60 cm, aspect ratio retained and move it to the center of the cell.
6. Open http://cdn1.tnwcdn.com/wp-content/blogs.dir/1/files/2013/02/google_chrome-645x250.png in Paint.NET (version 4.0.5), select a part of the image using the selection tool and copy that part into the clipboard.
7. In Calc click in A139 and insert the image from the clipboard and move it to the center of the cell.
8. Save the file as new ods file and then save it as xls file.

Close LibreOffice completely and open all three files you have now.

I took some screenshots to highlight the differences:

Original ODS: https://office.mailbox.org/publications/documents/2570616/c696d397d3ef17d4000db154b4cbe70
New ODS: https://office.mailbox.org/publications/documents/2570616/4138434782d778124f0854e10a828654
XLS: https://office.mailbox.org/publications/documents/2570616/ebe182961296168ac7a3172dab71c757

The difference is: 

a) XLS is just like the original ODS and it didn't destroy the file any further.

b) In the new ODS the images in A138, A139 and A146 - A148 moved for no reason. The two images in A142 - 144 are stretched in a different way now. We touched neither of them.

This bug happens on my PC at home where I upgraded all the way from ~4.0 series to 4.3.4 and on my work PC where I created a new profile in 4.3

Please also verify this: In the original "Temp Bug.ods" click and hold the left mousebutton on the image of the watch in A135. Can you confirm that the "bounding box" of the image is completely out of sync with the actual image? This problem gets worse the more times I reopen a saved ods file. The "bounding box" marks the position where the image will be after exporting it to pdf so this is a serious issue.
Comment 9 Buovjaga 2014-12-30 14:34:44 UTC
Went through the steps in comment 8 and got almost the same results.

One missing step that I took was to right-click - anchor the new images to cell.

In both the .ods and .xls that I saved, the youtube and google images I inserted had moved up so their center line is in the middle of the lower border of the upper row.
In the .xls, the two images below the google image stayed put, but in the .ods they moved slightly upwards.

This also happened to me only in the .ods file: The two images in A142 - 144 are stretched in a different way (squished vertically).

I confirm the bounding box issue when clicking and holding the image in A135 and also the youtube and google images.

Let's set to NEW then.

Win 7 64-bit Version: 4.5.0.0.alpha0+
Build ID: 57626f2132f73e4e42b31e364b25c5867336e718
TinderBox: Win-x86@42, Branch:master, Time: 2014-12-26_09:26:33
Comment 10 QA Administrators 2016-01-17 20:04:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 11 Jean-Baptiste Faure 2016-01-22 05:49:50 UTC
Can't test because the test file is not available anymore.

Best regards. JBF
Comment 12 tommy27 2016-01-22 06:28:11 UTC
@Jonas Muller
please upload again that file and this time use the "add an attachment" button so the download won't expire.

I set status to NEEDINFO
Comment 13 QA Administrators 2016-05-09 20:08:16 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09